.fav-title-description-image {
  width: 100%;

  .content-wrap {
    width: 100%;
    max-width: var(--fav-tdi-max-width);
    margin: 0 auto;
    background-color: var(--fav-tdi-bg-color);
    border-radius: var(--fav-tdi-border-radius);
    padding-top: var(--fav-tdi-padding-top);
    padding-bottom: var(--fav-tdi-padding-bottom);
    padding-left: var(--fav-tdi-padding-left);
    padding-right: var(--fav-tdi-padding-right);
    display: flex;
    flex-direction: column;
    gap: var(--fav-tdi-blocks-gap);

    @media (max-width: 1024px) {
      padding-left: 16px;
      padding-right: 16px;
    }
  }

  .title {
    margin: 0;
    color: var(--fav-tdi-title-color);
    font-size: var(--fav-tdi-title-font-size);
    font-weight: 700;
    letter-spacing: -5%;
    line-height: 1;
    text-align: var(--fav-tdi-title-position);
  }

  .description {
    max-width: 681px;
    color: var(--fav-tdi-description-color);
    font-size: var(--fav-tdi-description-font-size);
    text-align: var(--fav-tdi-description-position);
    font-weight: 400;
    line-height: 1.5;
    letter-spacing: -0.5px;
  }

  .description > *:first-child {
    margin-top: 0;
  }

  .description > *:last-child {
    margin-bottom: 0;
  }

  .image-wrapper {
    display: flex;
    width: 100%;
  }

  .image-wrapper--left {
    justify-content: flex-start;
  }

  .image-wrapper--center {
    justify-content: center;
  }

  .image-wrapper--right {
    justify-content: flex-end;
  }

  .image {
    width: 100%;
    max-width: var(--fav-tdi-image-max-width);
    height: auto;
    border-radius: var(--fav-tdi-image-border-radius);
    display: block;
  }
}
